Subject: Re: Why not a news server?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Andrew DeFaria <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Feb 2002 16:12:03 -0500

At 03:49 PM 2/1/2002, Andrew DeFaria wrote:
>Larry Hall (RFK Partners, Inc) wrote:
>
>>At 02:06 PM 2/1/2002, Andrew DeFaria wrote:
>>
>>>Larry Hall (RFK Partners, Inc) wrote:
>>>
>>>>OK, there are differences now compared to when this topic was last discussed so maybe it warrants "discussion". However, I'd highly recommend that anyone that wishes to discuss this review the email list
>>>>archives.
>>>
>>>See that's just the thing. AFAIK searching the email list archives is not convenient nor easy.
>>
>>Have you tried it? Just curious since you preface your statement with AFAIK, which implies you don't have personal experience. I won't  suggest that looking in the mail list archives is not trying at times. It's usually most frustrating when you look for something that isn't indexed the way you think of it. AFAIK a news server doesn't make that easier but I have no experience searching on a news server. In any case, I, like others in the discussions of yore, have no objections to a  news server for the Cygwin list in addition to the mail list. I think if someone stepped forward to create and maintain one, no one would object  to it's announcement on the Cygwin list.
>
>Yes I've tried it. It's OK. Really don't like the "threading" as per se. Often get lost trying to track down a thread. No news servers do not make searching that much more easier but IMHO they make discussing things much more easier, which is, after all, what this list is about, discussing Cygwin.

OK, that's fine.  It just wasn't clear to me whether you used it or not,
based on your response.

>And again, currently this is not very convenient. For example, Larry here emailed me directly at my work email address about this topic. I hit reply and replied to him. But our discussion did not go to the Cygwin mail list. I noticed, just as it was too late, that I forgot to add on the [email-masked], so you all didn't get that first response. Then Larry emails me again, continuing our discussion of this issue. This time I remembered. As I said email is not conducive to discussions, which is why news and news servers exist no? Also, as has been stated, it's a big waste of bandwidth and space to send everybody a copy of the thread, especially since rarely is anybody interested in all of it.

Actually, I think the problem was at your end.  I replied to all so my
response (originally) went to the list (and you).  You probably got two
responses.  When you replied, you didn't reply to all, so only I got the 
response.  Unlike allot of other frequent responders to the list, I don't 
reset my 'Reply-To' field to point to [email-masked] when I respond.  
It's just a choice.  I don't object to anyone doing this (or not).  I also 
don't generally redirect email that folks send directly to me back to the 
list.  Again, I have no problem with folks doing that.  I just don't 
generally myself (for reasons that aren't really germane to this thread).

However, I would like to point out that while these are good arguments 
for having a news server for Cygwin, I don't believe that the Cygwin
community needs to be convinced of this.  So long as there is the option
of using either the news server or the mailing list (or both), I think 
most would agree that it is a win for everybody.  So I don't think anybody
needs to justify the argument.  That's been done before as well.  What has 
been missing in the past has been the 'follow-up' to the discussion of the 
news server.  So, just so it's clear, the reason we don't already have a 
news server is that no one was interested *enough* to set one up and 
maintain it, although there has always seemed to be quite a bit of 
interest in discussing the need or desire to have a news server.  

>>>>I think it was generally agreed that no one objected to the use of a news server so long as it didn't replace the email list.
>>>>
>>>>In this context, I believe the main reason that a news server has never been implemented is that no one has volunteered to set one up and run it. So, I guess if you're interested in having one, you can have one if you or someone else is willing to do the work to create and maintain it. Not to sound too pessimistic but pointing out this fact in the past was enough to kill the thread... for a while.
>>>
>>>Creating it and maintaining it is one thing. Getting the equipment and connection to have it accessable is another. But that is not necessary, why not simply have something lick comp.os.cygwin?!?
>>
>>Similar suggestions were made in the past. Would you like to get the ball rolling by going through the process of creating the group?
>
>Well there's a downside to this too. You see a comp.os.cygwin group would be great in general. But in specific my company doesn't have a news server either. So I could not read the comp.os.cygwin news group at work (where I need it more) save using something like groups.google.com or something else like that (which I hate). I can, however, read news from say Netscape and Microsoft and other company hosted news groups. And you don't need to be big to have company hosted news groups. For example, Twelve Tone Systems (makers of Cakewalk, a music sequencing program) have a news server as well as even individual, not so company oriented places like Steve Gibson's grc.com And Julian Haight's spamcop.net.. However such a news server needs to be hosted and I do not have the resources to host such (unless ya'll want to hit my DSLed Windows XP box at my house and will chip in for a new hard drive! :-).

Right.  And that's been the problem in the past as well.  No one wanted
to take the idea and make it a reality, for whatever reason.  That's fine.
However, discussion is only good if it leads to eventual action on 
someone's part.  So far, this topic has never blossomed to this end.  So
my point in speaking up is that this discussion is rather pointless unless
someone wants to take this idea and run with it.  If someone does want to 
do this, then the thread is at an end with a simple message to this list
announcing the intention or the existence of the news server.  If someone
doesn't want to create and manage the news server, this thread can still
continue but it will just be a rehash of what's already in the email 
archives.  If it comes to that, I think we would all be better off if we're
spared that duplication.  

OK, 'nuff said.

Thanks,

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/